function r(t) {
  var n, i, a = "";
  if (typeof t == "string" || typeof t == "number") a += t;
  else if (typeof t == "object") if (Array.isArray(t)) {
    var o = t.length;
    for (n = 0; n < o; n++) t[n] && (i = r(t[n])) && (a && (a += " "), a += i);
  } else for (i in t) t[i] && (a && (a += " "), a += i);
  return a;
}
function clsx() {
  for (var t, n, i = 0, a = "", o = arguments.length; i < o; i++) (t = arguments[i]) && (n = r(t)) && (a && (a += " "), a += n);
  return a;
}
var clsx_default = clsx;
export {
  clsx_default as n,
  clsx as t
};
